Summary: Support funky symlinks to manage a tree of git or other VC repositories
Name: antlink
Version: 1.1
Release: 1%{?dist}
License: GPLv2
Group: Development/Tools
URL: https://ant.isi.edu/software/antlink/
Source0: https://ant.isi.edu/software/antlink/antlink-%{version}.tar.gz
BuildArch: noarch
BuildRequires: perl
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# next two are needed to run test suites and are not autodetected
Requires: perl(Carp)
Requires: perl(File::Spec)
Requires: perl(File::Basename)
Requires: perl(File::Path)
Requires: perl(File::Temp)
Requires: perl(Getopt::Long)
Requires: perl(IO::Pipe)
# next is in perl-YAML-LibYAML
Requires: perl(YAML::XS)


%description
Antlink handles trees of repositories,
where a meta-repository can point to other sub-repositories,
some of which are checked out ("cloned") or not.
Repositories stored at the same place can live in a "site",
simplifying their discovery.

%prep
%setup -q -n antlink-%{version}

%build

%install
make install DESTDIR=$RPM_BUILD_ROOT
# fix up g+s getting set on directories, and executables being 0555
# (*I* think those are ok, but not rpmlint.)
find $RPM_BUILD_ROOT -type d -exec chmod g-s {} ';'
# find $RPM_BUILD_ROOT -executable -exec chmod 0755 {} ';'
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc README COPYING
%{_bindir}/*
%{_mandir}/man1/*.1*


%changelog
* Thu Apr 30 2015 John Heidemann <johnh@isi.edu> 1.1-1
- See http://www.isi.edu/~johnh/SOFTWARE/ANTLINK/
